# Class `luci.sys.process`

LuCI system utilities / process related functions.

## Functions

info () | Get the current process id.
list () | Retrieve information about currently running processes.
setgroup (gid) | Set the gid of a process identified by given pid.
setuser (uid) | Set the uid of a process identified by given pid.
signal (pid, sig) | Send a signal to a process identified by given pid.

## Functions

info ()
  Get the current process id.

  ### Return value:

  Number containing the current pid
list ()
  Retrieve information about currently running processes.

  ### Return value:

  Table containing process information
setgroup (gid)
  Set the gid of a process identified by given pid.

  ### Parameters

  - gid: Number containing the Unix group id

  ### Return values:

  1. Boolean indicating successful operation
  2. String containing the error message if failed
  3. Number containing the error code if failed
setuser (uid)
  Set the uid of a process identified by given pid.

  ### Parameters

  - uid: Number containing the Unix user id

  ### Return values:

  1. Boolean indicating successful operation
  2. String containing the error message if failed
  3. Number containing the error code if failed
signal (pid, sig)
  Send a signal to a process identified by given pid.

  ### Parameters

  - pid: Number containing the process id
  - sig: Signal to send (default: 15 [SIGTERM])

  ### Return values:

  1. Boolean indicating successful operation
  2. Number containing the error code if failed